Home | All Classes | Grouped Classes | Index | Search

# Class CL_TreeItem

TreeView_Item component More...

Derived from: CL_Component
Derived by: none
Group: GUI (Controls)

#include <ClanLib/gui.h>

Construction:

CL_TreeItem | TreeView Item Constructor

Attributes:

get_text | Returns the item text for a specified column.
get_component | Returns the item component for a specified column.
get_node | Returns the TreeView node this component is used in.
get_icon | Return the icon.
get_text_margin | Get the margin between the start of the item and start of the text.
get_custom_height | Return the height.

Operations:

set_text | Sets the text for a specified column.
set_checkbox | Adds a checkbox to a specified column.
set_component | Adds a component for a specified column.
set_icon | Sets the items icon.
set_text_margin | Set the margin between the start of the item and start of the text. Use this to set a margin if you have no icon on this item, but on others.
set_custom_height | Sets the height.

Signals:

sig_clicked | This signal is emitted when the item is clicked on.

Detailed description:

!group=GUI/Controls! !header=gui.h!
Questions or comments, write to the ClanLib mailing list.